Page MenuHomePhabricator

Show only relevant languages in the translation dashboard selector
Closed, ResolvedPublic

Description

The Content Translation dashboard shows several lists with options to filter them by language. Currently, it is possible to select any existing language combination, which often leads to an empty list. While suggestions are generated for any language pair, this is not the case for "In-progress" and "published" translations.

For those cases we can do the following:

  • Include in the language selector only languages that are actually used in those list. For example, if the "In progress" list contains one translation from English to Portuguese and another translation from Japanese to Korean, the source language selector will only allow to chose English or Japanese, while the target language selector will only allow to select between Portuguese and Japanese. An option to go back to "any language" will be also available, but that will be part of a different ticket.
  • Don't show the selector if only one combination is possible. For example, if the user only translates between Greek and German, the user has not much to chose from.

Event Timeline

Restricted Application added a subscriber: revi. · View Herald TranscriptJul 7 2017, 9:50 AM

Change 374912 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Show only relevant languages in translation lists

https://gerrit.wikimedia.org/r/374912

Change 374912 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show only relevant languages in translation lists

https://gerrit.wikimedia.org/r/374912

Zoranzoki21 closed this task as Resolved.Sep 17 2017, 9:30 AM
Zoranzoki21 assigned this task to Petar.petkovic.
Nikerabbit reopened this task as Open.Sep 17 2017, 7:30 PM
Nikerabbit moved this task from For Review to QA on the User-Petar.petkovic board.
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit added a subscriber: Nikerabbit.

Let's keep this open until QA has been checked.

Checked in cx-testing. All specs seems to be in place.

In progress displays only language options that are relevant to the articles in progress. The list of articles can be filtered by language(s) translated From and by language(s) translated To.

Published has the same functionality regarding language selection as In progress . The option 'Any language' is present and can be successfully selected.

If only one article is present - there will be no language selection available.

Etonkovidova closed this task as Resolved.Sep 19 2017, 11:10 PM